OZWCP(1)

NAME
ozwcp - OpenZWave Control Panel

SYNOPSIS
ozwcp [-d] [-p port]

DESCRIPTION
OpenZWave Control Panel (ozwcp) permits users to query, manage, and monitor Z-Wave nodes and networks. It provides a web-based user interface. Some example uses include adding/removing nodes, testing commands, and viewing/changing node configuration parameters.

Once started, use a web browser to connect to the host:port that ozwcp is listening on. By default this is <http://localhost:8090/>. Enter the device path, for example /dev/ttyACM0, and press "Initialize". Note that many Z-Wave USB sticks act as serial devices, and if so, the USB box should not be checked.

ozwcp must be able to exclusively read/write to the controller. Typically this means running under a user that is a member of the device group, for example dialout for serial ports, or changing the permissions of the device file. Running as root should also work but is not recommended. Stop other programs that may be using the device before initializing.

OPTIONS

-d  Enable debugging.

-p port
    Listen on the specified port instead of 8090.

FILES

/etc/openzwave
    OpenZWave configuration files.

/usr/share/openzwave-controlpanel
    Static files for the web server.

ozwcache_*.xml
    Cache of the current network configuration, formerly zwcfg_*.xml.

OZW_Log.txt
    OpenZWave log file, useful for debugging.

AUTHORS
ozwcp was written by Greg Satz <satz@iranger.com> and maintained by Justin Hammond <justin@dynam.ac> and other contributors.

This manual page was written by Dara Adib <daradib@ocf.berkeley.edu> for the Debian project (but may be used by others).

SEE ALSO
/usr/share/doc/openzwave-controlpanel/README